module  WRITE_STEP2 ( 
input      [23:0] PPS , 
input      [23:0] SEC_CNT , 
input      [7:0] ADDRESS  , 
output reg [7:0] ROM_DATA 

);
// \r	8'h0D
// \n	8'h0A
// \"	8'h22

always @( ADDRESS )   begin 
case  (ADDRESS ) 
0:  begin ROM_DATA <="5" ; end  
1:  begin ROM_DATA <="5" ; end  
2:  begin ROM_DATA <=" " ; end  
3:  begin ROM_DATA <=PPS_A[47:40] ; end  
4:  begin ROM_DATA <=PPS_A[39:32] ; end  
5:  begin ROM_DATA <=PPS_A[31:24] ; end  
6:  begin ROM_DATA <=PPS_A[23:16] ; end  
7:  begin ROM_DATA <=PPS_A[15:8 ] ; end  
8:  begin ROM_DATA <=PPS_A[7 :0 ] ; end  
9:  begin ROM_DATA <=" " ; end  
10:  begin ROM_DATA <=SEC_A[47:40] ; end  
11:  begin ROM_DATA <=SEC_A[39:32] ; end  
12:  begin ROM_DATA <=SEC_A[31:24] ; end  
13:  begin ROM_DATA <=SEC_A[23:16] ; end  
14:  begin ROM_DATA <=SEC_A[15:8 ] ; end  
15:  begin ROM_DATA <=SEC_A[7 :0 ] ; end  
16:  begin ROM_DATA <=" " ; end  
17: begin ROM_DATA <="A" ; end  
18: begin ROM_DATA <="A" ; end  
19: begin ROM_DATA <= 8'h0D;end
20: begin ROM_DATA <= 8'h0A;end   
endcase 
end 


//====
wire [47:0] PPS_A ; 
HEX2ASCII  u0( .H(PPS[3:0]),   .A(PPS_A[7 :0 ])  );
HEX2ASCII  u1( .H(PPS[7:4]),   .A(PPS_A[15:8 ])  );
HEX2ASCII  u2( .H(PPS[11:8]),  .A(PPS_A[23:16])  );
HEX2ASCII  u3( .H(PPS[15:12]), .A(PPS_A[31:24])  );
HEX2ASCII  u4( .H(PPS[19:16]), .A(PPS_A[39:32])  );
HEX2ASCII  u5( .H(PPS[23:20]), .A(PPS_A[47:40])  );

//==
wire [47:0] SEC_A ; 
HEX2ASCII  Uu0( .H(SEC_CNT[3:0]),   .A(SEC_A[7 :0 ])  );
HEX2ASCII  Uu1( .H(SEC_CNT[7:4]),   .A(SEC_A[15:8 ])  );
HEX2ASCII  Uu2( .H(SEC_CNT[11:8]),  .A(SEC_A[23:16])  );
HEX2ASCII  Uu3( .H(SEC_CNT[15:12]), .A(SEC_A[31:24])  );
HEX2ASCII  Uu4( .H(SEC_CNT[19:16]), .A(SEC_A[39:32])  );
HEX2ASCII  Uu5( .H(SEC_CNT[23:20]), .A(SEC_A[47:40])  );



endmodule 