module CLOCKMEM ( 
input                RESET_N , 
input                CLK ,
input [31:0]         CLK_FREQ ,
output reg  			CK_1HZ
) ;

parameter  Error_Correction  = 8 * 70  ;  // 80 ok 90  , 80(80) .. 70 (4)  .. 60(0) error = 4  per 10(Error_Correction)

//---50MHZ CLOCK1 TEST---
reg  [31:0] CLK_DELAY ; 


//--
always @(negedge   RESET_N  or posedge CLK )  
if (!RESET_N  ) begin 
     CK_1HZ    <=0; 
	  CLK_DELAY <=0; 
end 
else 
begin
	if ( CLK_DELAY < CLK_FREQ/2 - Error_Correction  )  CLK_DELAY  <= CLK_DELAY+1; 
	else 	
	
	begin 
		CLK_DELAY  <= 0;  
		CK_1HZ     <= ~CK_1HZ ;
	end 	
end		
	
endmodule 
	
	