module FREQ_HEX  (
input  SMA_IN ,
input  CLK_50 ,
input  RESET_N,

output [ 6:0]  FREQ1_HEX ,    
output [ 6:0]  FREQ0_HEX  


);

wire [31:0]HEX  ; 
wire [7:0] BCD ; 

//-------
HEX_PROCE cf( 
  .SMA_IN (SMA_IN  ), 
  .CLK_50 (CLK_50  ),
  .RESET_N(RESET_N),
  .HEX    (HEX)
) ;

//------
HEX2BCD  h(
 .iCLK_50 ( CLK_50   ),
 .iHEX    ( HEX[7:0] ), 
 .oBCD    ( BCD      )  
);

//---
SEG7_LUT_V	 v1( . iDIG(BCD [7:4] ), . oSEG ( FREQ1_HEX) ) ;  
SEG7_LUT_V	 v2( . iDIG(BCD [3:0] ), . oSEG ( FREQ0_HEX) ) ;  

endmodule 
