module HEX_PROCE ( 
  input SMA_IN , 
  input CLK_50 ,
  input RESET_N,
  output reg [ 31:0 ] HEX
  
) ;
//---WIRE 
wire HZ_1 ; 
reg          rHZ_1  ; 
reg [ 31:0 ] T_CNT  ; 
wire [31:0]  TN ; 

//---OUT

CLOCKMEM ck1(  .CLK (  SMA_IN  ) ,. CLK_FREQ ( 10000000 ) , .CK_1HZ (HZ_1 ) ) ;  


assign TN = T_CNT/5000000 ; 


always @ ( negedge RESET_N or posedge  CLK_50  ) begin
if (!RESET_N) begin 
      rHZ_1 <=HZ_1 ; 
	  { HEX, T_CNT } <= {32'h0 ,32'h0 } ; 
end 
else begin 
   rHZ_1 <= HZ_1 ; 
         if  ( ( rHZ_1) && ( !HZ_1  ))  {  HEX , T_CNT } <= { TN ,32'h0 } ;  	 
   else  if ( T_CNT > 200000000 ) 
	       HEX <= 32'h00  ;       
	else  T_CNT  <= T_CNT+1 ; 
end 
end


endmodule 
 